import './types';
import './utils';
declare const _default: {
    string: () => import("./types").Wrap<string, any>;
    number: () => import("./types").Wrap<number, any>;
    null: () => import("./types").Wrap<null, any>;
    undefined: () => import("./types").Wrap<undefined, any>;
    any: <T extends any = any>() => import("./types").Wrap<T, any>;
    unknown: <T_1 extends unknown = unknown>() => import("./types").Wrap<T_1, any>;
    or: <T_2 extends import("./types").Prove[]>(x: T_2) => import("./types").Wrap<import("./types").Unwrap<T_2[number]>, any>;
    array: <T_3 extends import("./types").Prove>(x: T_3) => import("./types").Wrap<import("./types").Unwrap<T_3>[], any>;
    shape: <T_4 extends {
        [x: string]: import("./types").Prove;
    }>(shpe: T_4) => import("./types").Wrap<{ [Key in keyof T_4]: import("./types").Unwrap<T_4[Key]>; }, any>;
    s: () => import("./types").Wrap<string, any>;
    n: () => import("./types").Wrap<number, any>;
    o: <T_4 extends {
        [x: string]: import("./types").Prove;
    }>(shpe: T_4) => import("./types").Wrap<{ [Key in keyof T_4]: import("./types").Unwrap<T_4[Key]>; }, any>;
    a: <T_3 extends import("./types").Prove>(x: T_3) => import("./types").Wrap<import("./types").Unwrap<T_3>[], any>;
};
export default _default;
